| Home | Libraries | People | FAQ | More

## Struct template complementable

boost::type_erasure::complementable

## Synopsis

    // In header: <boost/type_erasure/operators.hpp>

    template<typename T = _self, typename R = T>
    struct complementable {

      // public static functions
      static R apply(const T &);
    };

## Description

The complementable concept allow use of the bitwise complement operator on an any.

### `complementable` public static functions

1.     static R apply(const T &);